Index: unk/AUTHORS
===================================================================
--- /trunk/AUTHORS	(revision 980)
+++ 	(revision )
@@ -1,37 +1,0 @@
-MAIN DEVELOPER(S)
-=================
-
-	* Design, code and implementation
-
-	-	Ramon Bastiaans
-		< bastiaans ( a t ) sara ( d o t ) nl >
-
-ORIGINAL CONCEPT(S)
-===================
-
-	* PBS Monitor
-
-	-	Bas van der Vlies
-		< basv ( a t ) sara ( d o t ) nl >
-
-	* PBS web software
-
-	-	ROCKS Cluster group,
-		San Diego
-
-CONTRIBUTOR(S)
-==============
-
-	* Support, testing and idea's
-
-	-	Bas van der Vlies
-		< basv ( a t ) sara ( d o t ) nl >
-
-	-	Walter de Jong
-		< walter ( a t ) sara ( d o t ) nl >
-
-	-	Jaap Dijkshoorn
-		< jaap ( a t ) sara ( d o t ) nl >
-
-	-	Maarten van Ingen
-		< maarten ( a t ) sara ( d o t ) nl >
Index: unk/CHANGELOG
===================================================================
--- /trunk/CHANGELOG	(revision 980)
+++ 	(revision )
@@ -1,221 +1,0 @@
- 
-	LEGEND	f: fixed - c: changed - a: added - r: removed
-
-0.4:
-
-	jobmond)
-		a:	SGE support
-			thanks to: Dave Love - d(d.o.t)love(a.t)liverpool(d.o.t)ac(d.o.t)uk
-			for writing it!
-		a:	LSF support
-			thanks to: Mahmoud Hanafi - mhanafi(a.t)csc(d.o.t)com
-			for writing it!
-		a:	GMETRIC_TARGET is now parsed from gmond.conf
-		a:	GMETRIC_BINARY is now looked for in PATH
-		f:	queue selection support is now working
-			thanks to: Craig West - cwest(a.t)astro(d.o.t)umass(d.o.t)edu
-			for the patch
-	web)
-		a:	large graphs link for job report
-			thanks to: Craig West - cwest(a.t)astro(d.o.t)umass(d.o.t)edu
-		a:	SHOW_EMPTY_COLUMN, SHOW_EMPTY_ROW options for ClusterImage hostname parsing
-
-0.3.1:
-
-	other)
-		f:	updated INSTALL since "addons" directory is not included by default anymore in Ganglia
-			thanks to: Steven DuChene linux(d.a.s.h)clusters(a.t)mindspring(d.o.t)com
-			for reporting it
-
-	rpm)
-		f:	add "addons" directory since it's not included by default anymore in Ganglia
-		f:	properly rewrite WEBDIR path in %files when rebuilding rpms with Makefile
-
-	web)
-		f:	typo in empty_cpu variable: causing incorrect 'free cpu' count and similar errors
-			thanks to: Craig West - cwest(a.t)astro(d.o.t)umass(d.o.t)edu
-			for reporting it
-		f:	changed erroneous domain detection a little
-			thanks to: Craig West - cwest(a.t)astro(d.o.t)umass(d.o.t)edu
-			for reporting it
-		a:	now properly detects whether or not to use FQDN or short hostnames w/o domain
-			thanks to: Craig West - cwest(a.t)astro(d.o.t)umass(d.o.t)edu
-			thanks to: Jeffrey Sarlo - JSarlo(a.t)Central(d.o.t)UH(d.o.t)EDU
-			for the many testing and reporting it
-
-			SPECIAL THANKS to the University of Houston for sending me a shirt!
-
-	jobarchived)
-		f:	properly catch postgres exception
-		f:	don't use debug_message while loading config file
-
-0.3:
-
-	web)
-		a:	allow per-cluster settings/override options: see CLUSTER_CONFS option
-		a:	clusterimage can now draw nodes at x,y position parsed from hostname
-			see SORTBY_HOSTNAME for this in clusterconf/example.php
-		a:	clusterimage nodes are now clickable: has link to all jobs from that host
-		a:	clusterimage nodes now have a tooltip: displays hostname and jobids for now
-		a:	jobmonarch logo image
-			thank to: Robin Day
-			for the design
-		a:	rrd graph of running/queued jobs to overview
-		a:	per-cluster settings for archive database
-			thanks to: Alexis Michon - alexis(d.o.t)michon(a.t)ibcp(d.o.t)fr
-			for the patch
-
-		c:	host archive view is now more complete and detailed in the same manner as
-			Ganglia's own host view
-		c:	host archive view available metric list is now compiled from disk,
-			so that the detailed archive host view works even when the node is currently down.
-		c:	removed size restrictions from detailed host archive view
-
-		f:	compatibility: removed php5 call
-			thanks to: Alexis Michon - alexis(d.o.t)michon(a.t)ibcp(d.o.t)fr
-			for the patch
-		f:	prevent negative cpu/node calculation
-			thanks to: aloga(a.t)ifca(d.o.t)unican(d.o.t)es
-			for the patch
-		f:	archive search not properly resetting nodes list
-			thanks to: Alexis Michon - alexis(d.o.t)michon(a.t)ibcp(d.o.t)fr
-			for the patch 
-		f:	detailed host view from jobarchive was broken since hostbased support of 0.2
-			now host view is properly set and parsed again
-			thanks to: Alexis Michon - alexis(d.o.t)michon(a.t)ibcp(d.o.t)fr
-			for reporting the bug and suggesting a patch
-		f:	bug where jobstart redline indicator in host detail graphs was set incorrectly
-			or not at all due to a miscalculation in job times
-		f:	bug where hostimage headertext xoffset was miscalculated, causing the column names
-			to overlap their position when the columnname was longer than the columnvalues
-
-	jobmond)
-
-		a:	syslog support
-		a:	report number of running/queued jobs as seperate metrics
-		a:	native gmetric support, much faster and cleaner!
-			thanks to: Nick Galbreath - nickg(a.t)modp(d.o.t)com
-			for writing it and allowing inclusion in jobmond
-
-		f:	crashing jobmond when multiple nodes amounts are requested in
-			a queued job: numeric_node variable not initialized properly
-			thanks to: aloga(a.t)ifca(d.o.t)unican(d.o.t)es
-			for supplying the patch
-			and many others for reporting and helping debug this
-		f:	hanging/blocked, increased cpu usage and halted reporting
-			thanks to: Bas van der Vlies - basv(a.t)sara(d.o.t)nl
-			for discovering the origin of the bug
-			thanks to: Mickael Gastineau - gastineau(a.t)imcce(d.o.t)fr
-			for reporting it and testing the fix
-			thanks to: Craig West - cwest(a.t)astro(d.o.t)umass(d.o.t)edu
-			for reporting it and testing the fix
-		f:	uninitialized variable in checkGmetricVersion()
-			thanks to: Peter Kruse - pk(a.t)q-leap(d.o.t)com
-			for the patch
-		f:	undefined PBSError
-			thanks to: Peter Kruse - pk(a.t)q-leap(d.o.t)com
-			for reporting it
-
-		r:	SGE support broken
-
-	jobarchived)
-
-		a:	can now use py-rrdtool api instead of pipes, much faster!
-			install py-rrdtool to use this
-			backwards compatible fails back to pipes if module not installed
-
-		c:	all XML input was uniencoded, which could cause errors,
-			now all properly converted to normal strings
-
-		f:	when XML data source (gmetad) is unavailable parsethread didn't return correctly
-			which caused a large number of threads to spawn while consuming large amounts of memory
-		f:	autocreate clusterdirs in archivedir
-		f:	unhandled gather exception
-		f:	incorrect stop_timestamping when jobs finished
-			thanks to: Alexis Michon - alexis(d.o.t)michon(a.t)ibcp(d.o.t)fr
-			for finding and debugging/testing it
-
-0.2:
-
-	web)
-		f:	misc. optimization and bugfixes
-		f:	now fully compatible with latest PHP5 and PHP4
-
-		c:	cluster image now incorporates small text descr.
-		c:	monarch (cluster/host) images no longer displayed
-			for clusters that are not jobmond enabled
-		c:	pie chart percentages are now cpu-based instead of node-based
-
-		a:	host template for Ganglia
-			adds a extra monarch host image to Ganglia's host overview
-			which displays/links to the jobs on that host
-			NOTE!: be sure to copy/install new template from addons/templates
-		a:	(optional) nodes hostnames column
-			thanks to: Daniel Barthel - daniel(d.o.t)barthel(a.t)nottingham(d.o.t)ac(d.o.t)uk
-			for the suggestion
-
-	jobmond)
-
-		f:	when a job metric is longer than maximum metric length,
-			the info is split up amongst multiple metrics
-		f: 	no longer exit when batch server is unavailable
-			thanks to: Peter Kruse - pk(a.t)q-leap(d.o.t)com
-			for the patch
-		f:	fd closure bug causing stderr/stdout to remain open after daemonizing
-
-		c:	rearranged code to allow support for other batch systems
-
-		a:	(experimental) SGE (Sun Grid Engine) support as batch server
-			thanks to: Babu Sundaram - babu(a.t)cs(d.o.t)uh(d.o.t)edu
-			who developed it for a OSCAR's Google-SoC project
-		a:	pidfile support 
-			thanks to: Michael Jeanson - michael(a.t)ccs(d.o.t)usherbrooke(d.o.t)ca
-			for the patch
-		a:	usage display
-			thanks to: Michael Jeanson - michael(a.t)ccs(d.o.t)usherbrooke(d.o.t)ca
-			for the patch
-		a:	queue selection support: ability to specify which QUEUE's to get jobinfo from
-			thanks to: Michael Jeanson - michael(a.t)ccs(d.o.t)usherbrooke(d.o.t)ca
-			for the patch
-
-	jobarchived)
-
-		f:	XML retrieval for Ganglia version >= 3.0.3 working properly again
-		f:	database storing for Ganglia version >= 3.0.3 working properly again
-		f:	fd closure bug causing stderr/stdout to remain open after daemonizing
-
-		c:	misc. bugfixes to optimize XML connections
-		c:	misc. bugfixes for misc. minor issues
-
-		a:	cleaning of stale jobs in dbase: see JOB_TIMEOUT option
-
-0.1.1: 
-
-	web)
-
-		f:	misc. layout bugs for overview & search
-		f:	bug that occured when calculating the number of nodes when there
-			was more than one job running on a machine
-
-		c:	column requested memory is now optional through conf.php
-		c:	search and overview tables are now full screen (100%)
-		c:	overview jobnames are now cutoff at max 9 characters
-			to prevent (layout) scews in the tables
-		c:	overview graphs are no longer downsized
-
-		a:	(optional) column 'queued' (since) in overview
-		a:	search results (can) now have a SEARCH_RESULT_LIMIT
-			this increases performance of the query's significantly!
-		a:	date/time format as displayed is now configurable through conf.php
-
-	jobmond)
-
-		a:	now reports 'queued since' (or creation time) of jobs
-
-	documentation)
-
-		f:	wrong e-mail adress in INSTALL (doh!)
-
-0.1:
-
-	- First public release
Index: unk/INSTALL
===================================================================
--- /trunk/INSTALL	(revision 980)
+++ 	(revision )
@@ -1,230 +1,0 @@
-DESCRIPTION
-===========
-
-	Job Monarch is a set of tools to monitor and optionally archive (batch)job information.
-
-	It is a addon for the Ganglia monitoring system and plugs in to a existing Ganglia setup.
-
-	To view a operational setup with Job Monarch, have a look here: http://ganglia.sara.nl/
-
-
-	Job Monarch stands for 'Job Monitoring and Archiving' tool and consists of three (3) components:
-
-	* jobmond
-
-		The Job Monitoring Daemon.
-		  
-		Gathers PBS/Torque batch statistics on jobs/nodes and submits them into
-		Ganglia's XML stream.
-
-		Through this daemon, users are able to view the PBS/Torque batch system and the
-		jobs/nodes that are in it (be it either running or queued).
-
-	* jobarchived (optionally)
-
-		The Job Archiving Daemon.
-
-		Listens to Ganglia's XML stream and archives the job and node statistics.
-		It stores the job statistics in a Postgres SQL database and the node statistics
-		in RRD files.
-		
-		Through this daemon, users are able to lookup a old/finished job
-		and view all it's statistics.
-
-		Optionally: You can either choose to use this daemon if your users have use for it.
-		As it can be a heavy application to run and not everyone may have a need for it.
-
-		- Multithreaded:	Will not miss any data regardless of (slow) storage
-
-		- Staged writing:	Spread load over bigger time periods
-
-		- High precision RRDs:	Allow for zooming on old periods with large precision
-
-		- Timeperiod RRDs:	Allow for smaller number of files while still keeping advantage
-					of small disk space
-		
-	* web
-
-		The Job Monarch web interface.
-
-		This interfaces with the jobmond data and (optionally) the jobarchived and presents the
-		data and graphs.
-
-		It does this in a similar layout/setup as Ganglia itself, so the navigation and usage is intuitive.
-
-		- Graphical usage:	Displays graphical cluster overview so you can see the cluster (job) state
-					in one view/image and additional pie chart with relevant information on your
-					current view
-
-		- Filters:		Ability to filter output to limit information displayed (usefull for those
-					clusters with 500+ jobs). This also filters the graphical overview images output
-					and pie chart so you only see the filter relevant data
-
-		- Archive:		When enabling jobarchived, users can go back as far as recorded in the database
-					or archived RRDs to find out what happened to a crashed or old job
-
-		- Zoom ability:		Users can zoom into a timepriod as small as the smallest grain of the RRDS
-					(typically up to 10 seconds) when a jobarchived is present
-
-REQUIREMENTS
-============
-
-	all:
-
-		- Python 2.3 or higher
-
-	jobmond:
-
-		- pbs_python v2.8.2 or higher
-		  https://subtrac.sara.nl/oss/pbs_python/
-
-		- gmond v3.0.1 or higher
-		  http://www.ganglia.info/
-
-	jobarchived:
-
-		- Postgres SQL v7.xx
-		  http://www.postgres.org/
-
-		- rrdtool v1.xx
-		  http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/
-
-		- py-rrdtool
-		  http://sourceforge.net/projects/py-rrdtool/
-
-		- python-pgsql v4.x.x
-		  http://sourceforge.net/projects/pypgsql/
-
-		- gmetad v3.x.x
-		  http://www.ganglia.info/
-
-	web:
-
-		- PHP v4.1 or higher
-		  http://www.php.net
-
-		- php-pgsql v4.x.x
-		  (should come with Postgres)
-
-		- GD v2.x
-		  http://www.boutell.com/gd/
-
-		- Ganglia web frontend v3.x.x
-		  http://www.ganglia.info
-
-
-INSTALLATION
-============
-
-	Prior to installing the software make sure you meet the necessary requirements as
-	mentioned above.
-
-	NOTE: You can choose to install to other path/directories if your setup is different.
-
-	* jobmond
-
-		1. Copy jobmond.py:
-
-		 > cp jobmond/jobmond.py /usr/local/sbin/jobmond.py
-
-		2. Copy jobmond.conf:
-		
-		 > cp jobmond/jobmond.conf /etc/jobmond.conf
-
-	* jobarchived
-
-		1. Create a Postgres SQL database for jobarchived:
-
-		 > createdb jobarchive
-
-		2. Setup jobarchived's tables:
-
-		 > psql -f jobarchived/job_dbase.sql jobarchive
-
-		3. Copy jobarchived/jobarchived.conf:
-
-		 > cp jobarchived/jobarchived.conf /etc/jobarchived.conf
-
-		4. Copy jobarchived.py:
-
-		 > cp jobarchived/jobarchived.py /usr/local/sbin/jobarchived.py
-
-	* web
-
-		1. Copy the Job Monarch Template to your Ganglia installation
-
-		 > cp -a web/templates/job_monarch /var/www/ganglia/templates
-
-		2. Copy the web interface files to the addon directory in Ganglia
-
-		 > mkdir -p /var/www/ganglia/addons
-		 > cp -a web/addons/job_monarch /var/www/ganglia/addons
-
-CONFIGURATION
-=============
-
-	After installation each component requires additional configuration.
-
-	* jobmond
-	
-		1. Edit Jobmond's config to reflect your settings:
-
-		 - In /etc/jobmond.conf
-
-		   ( see config comments for syntax and explanation )
-
-	* jobarchived
-
-		1. Edit Jobarchived's config to reflect your settings:
-
-		 - In /etc/jobarchived.conf
-
-		   ( see config comments for syntax and explanation )
-
-	* web
-
-		1. Change your Ganglia's web template to Job Monarch
-
-		 - In /var/www/ganglia/conf.php:
-
-		 > $template_name = "job_monarch";
-
-		2. Change Job Monarch's config to reflect your settings:
-
-		 - In /var/www/ganglia/addons/job_monarch/conf.php
-
-		   ( see config comments for syntax and explanation )
-
-START
-=====
-
-	* jobmond
-
-		The Job Monitor has to be run on a machine that is allowed to
-		query the PBS/Torque server.
-		Make sure that if you have 'acl_hosts' enabled on your PBS/Torque
-		server that jobmond's machine is in it.
-
-		1. Start the Job Monitor:
-
-		 > /usr/local/sbin/jobmond.py -c /etc/jobmond.conf
-
-	* jobarchived
-
-		1. Start the Job Archiver:
-
-		 > /usr/local/sbin/jobarchived.py -c /etc/jobarchived.conf
-
-	* web
-
-		Doesn't require you to (re)start anything.
-		( make sure the Postgres database is running though )
-
-CONTACT
-=======
-
-	To contact the author for anything from bugfixes to flame/hate mail:
-
-	* Ramon Bastiaans
-
-	  <bastiaans ( a t ) sara ( d o t ) nl>
Index: unk/LICENSE
===================================================================
--- /trunk/LICENSE	(revision 980)
+++ 	(revision )
@@ -1,345 +1,0 @@
-		    GNU GENERAL PUBLIC LICENSE
-		       Version 2, June 1991
-
- Copyright (C) 1989, 1991 Free Software Foundation, Inc.
-                       51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- Everyone is permitted to copy and distribute verbatim copies
- of this license document, but changing it is not allowed.
-
-			    Preamble
-
-  The licenses for most software are designed to take away your
-freedom to share and change it.  By contrast, the GNU General Public
-License is intended to guarantee your freedom to share and change free
-software--to make sure the software is free for all its users.  This
-General Public License applies to most of the Free Software
-Foundation's software and to any other program whose authors commit to
-using it.  (Some other Free Software Foundation software is covered by
-the GNU Library General Public License instead.)  You can apply it to
-your programs, too.
-
-  When we speak of free software, we are referring to freedom, not
-price.  Our General Public Licenses are designed to make sure that you
-have the freedom to distribute copies of free software (and charge for
-this service if you wish), that you receive source code or can get it
-if you want it, that you can change the software or use pieces of it
-in new free programs; and that you know you can do these things.
-
-  To protect your rights, we need to make restrictions that forbid
-anyone to deny you these rights or to ask you to surrender the rights.
-These restrictions translate to certain responsibilities for you if you
-distribute copies of the software, or if you modify it.
-
-  For example, if you distribute copies of such a program, whether
-gratis or for a fee, you must give the recipients all the rights that
-you have.  You must make sure that they, too, receive or can get the
-source code.  And you must show them these terms so they know their
-rights.
-
-  We protect your rights with two steps: (1) copyright the software, and
-(2) offer you this license which gives you legal permission to copy,
-distribute and/or modify the software.
-
-  Also, for each author's protection and ours, we want to make certain
-that everyone understands that there is no warranty for this free
-software.  If the software is modified by someone else and passed on, we
-want its recipients to know that what they have is not the original, so
-that any problems introduced by others will not reflect on the original
-authors' reputations.
-
-  Finally, any free program is threatened constantly by software
-patents.  We wish to avoid the danger that redistributors of a free
-program will individually obtain patent licenses, in effect making the
-program proprietary.  To prevent this, we have made it clear that any
-patent must be licensed for everyone's free use or not licensed at all.
-
-  The precise terms and conditions for copying, distribution and
-modification follow.
-
-
-		    GNU GENERAL PUBLIC LICENSE
-   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
-
-  0. This License applies to any program or other work which contains
-a notice placed by the copyright holder saying it may be distributed
-under the terms of this General Public License.  The "Program", below,
-refers to any such program or work, and a "work based on the Program"
-means either the Program or any derivative work under copyright law:
-that is to say, a work containing the Program or a portion of it,
-either verbatim or with modifications and/or translated into another
-language.  (Hereinafter, translation is included without limitation in
-the term "modification".)  Each licensee is addressed as "you".
-
-Activities other than copying, distribution and modification are not
-covered by this License; they are outside its scope.  The act of
-running the Program is not restricted, and the output from the Program
-is covered only if its contents constitute a work based on the
-Program (independent of having been made by running the Program).
-Whether that is true depends on what the Program does.
-
-  1. You may copy and distribute verbatim copies of the Program's
-source code as you receive it, in any medium, provided that you
-conspicuously and appropriately publish on each copy an appropriate
-copyright notice and disclaimer of warranty; keep intact all the
-notices that refer to this License and to the absence of any warranty;
-and give any other recipients of the Program a copy of this License
-along with the Program.
-
-You may charge a fee for the physical act of transferring a copy, and
-you may at your option offer warranty protection in exchange for a fee.
-
-  2. You may modify your copy or copies of the Program or any portion
-of it, thus forming a work based on the Program, and copy and
-distribute such modifications or work under the terms of Section 1
-above, provided that you also meet all of these conditions:
-
-    a) You must cause the modified files to carry prominent notices
-    stating that you changed the files and the date of any change.
-
-    b) You must cause any work that you distribute or publish, that in
-    whole or in part contains or is derived from the Program or any
-    part thereof, to be licensed as a whole at no charge to all third
-    parties under the terms of this License.
-
-    c) If the modified program normally reads commands interactively
-    when run, you must cause it, when started running for such
-    interactive use in the most ordinary way, to print or display an
-    announcement including an appropriate copyright notice and a
-    notice that there is no warranty (or else, saying that you provide
-    a warranty) and that users may redistribute the program under
-    these conditions, and telling the user how to view a copy of this
-    License.  (Exception: if the Program itself is interactive but
-    does not normally print such an announcement, your work based on
-    the Program is not required to print an announcement.)
-
-
-These requirements apply to the modified work as a whole.  If
-identifiable sections of that work are not derived from the Program,
-and can be reasonably considered independent and separate works in
-themselves, then this License, and its terms, do not apply to those
-sections when you distribute them as separate works.  But when you
-distribute the same sections as part of a whole which is a work based
-on the Program, the distribution of the whole must be on the terms of
-this License, whose permissions for other licensees extend to the
-entire whole, and thus to each and every part regardless of who wrote it.
-
-Thus, it is not the intent of this section to claim rights or contest
-your rights to work written entirely by you; rather, the intent is to
-exercise the right to control the distribution of derivative or
-collective works based on the Program.
-
-In addition, mere aggregation of another work not based on the Program
-with the Program (or with a work based on the Program) on a volume of
-a storage or distribution medium does not bring the other work under
-the scope of this License.
-
-  3. You may copy and distribute the Program (or a work based on it,
-under Section 2) in object code or executable form under the terms of
-Sections 1 and 2 above provided that you also do one of the following:
-
-    a) Accompany it with the complete corresponding machine-readable
-    source code, which must be distributed under the terms of Sections
-    1 and 2 above on a medium customarily used for software interchange; or,
-
-    b) Accompany it with a written offer, valid for at least three
-    years, to give any third party, for a charge no more than your
-    cost of physically performing source distribution, a complete
-    machine-readable copy of the corresponding source code, to be
-    distributed under the terms of Sections 1 and 2 above on a medium
-    customarily used for software interchange; or,
-
-    c) Accompany it with the information you received as to the offer
-    to distribute corresponding source code.  (This alternative is
-    allowed only for noncommercial distribution and only if you
-    received the program in object code or executable form with such
-    an offer, in accord with Subsection b above.)
-
-The source code for a work means the preferred form of the work for
-making modifications to it.  For an executable work, complete source
-code means all the source code for all modules it contains, plus any
-associated interface definition files, plus the scripts used to
-control compilation and installation of the executable.  However, as a
-special exception, the source code distributed need not include
-anything that is normally distributed (in either source or binary
-form) with the major components (compiler, kernel, and so on) of the
-operating system on which the executable runs, unless that component
-itself accompanies the executable.
-
-If distribution of executable or object code is made by offering
-access to copy from a designated place, then offering equivalent
-access to copy the source code from the same place counts as
-distribution of the source code, even though third parties are not
-compelled to copy the source along with the object code.
-
-
-  4. You may not copy, modify, sublicense, or distribute the Program
-except as expressly provided under this License.  Any attempt
-otherwise to copy, modify, sublicense or distribute the Program is
-void, and will automatically terminate your rights under this License.
-However, parties who have received copies, or rights, from you under
-this License will not have their licenses terminated so long as such
-parties remain in full compliance.
-
-  5. You are not required to accept this License, since you have not
-signed it.  However, nothing else grants you permission to modify or
-distribute the Program or its derivative works.  These actions are
-prohibited by law if you do not accept this License.  Therefore, by
-modifying or distributing the Program (or any work based on the
-Program), you indicate your acceptance of this License to do so, and
-all its terms and conditions for copying, distributing or modifying
-the Program or works based on it.
-
-  6. Each time you redistribute the Program (or any work based on the
-Program), the recipient automatically receives a license from the
-original licensor to copy, distribute or modify the Program subject to
-these terms and conditions.  You may not impose any further
-restrictions on the recipients' exercise of the rights granted herein.
-You are not responsible for enforcing compliance by third parties to
-this License.
-
-  7. If, as a consequence of a court judgment or allegation of patent
-infringement or for any other reason (not limited to patent issues),
-conditions are imposed on you (whether by court order, agreement or
-otherwise) that contradict the conditions of this License, they do not
-excuse you from the conditions of this License.  If you cannot
-distribute so as to satisfy simultaneously your obligations under this
-License and any other pertinent obligations, then as a consequence you
-may not distribute the Program at all.  For example, if a patent
-license would not permit royalty-free redistribution of the Program by
-all those who receive copies directly or indirectly through you, then
-the only way you could satisfy both it and this License would be to
-refrain entirely from distribution of the Program.
-
-If any portion of this section is held invalid or unenforceable under
-any particular circumstance, the balance of the section is intended to
-apply and the section as a whole is intended to apply in other
-circumstances.
-
-It is not the purpose of this section to induce you to infringe any
-patents or other property right claims or to contest validity of any
-such claims; this section has the sole purpose of protecting the
-integrity of the free software distribution system, which is
-implemented by public license practices.  Many people have made
-generous contributions to the wide range of software distributed
-through that system in reliance on consistent application of that
-system; it is up to the author/donor to decide if he or she is willing
-to distribute software through any other system and a licensee cannot
-impose that choice.
-
-This section is intended to make thoroughly clear what is believed to
-be a consequence of the rest of this License.
-
-
-  8. If the distribution and/or use of the Program is restricted in
-certain countries either by patents or by copyrighted interfaces, the
-original copyright holder who places the Program under this License
-may add an explicit geographical distribution limitation excluding
-those countries, so that distribution is permitted only in or among
-countries not thus excluded.  In such case, this License incorporates
-the limitation as if written in the body of this License.
-
-  9. The Free Software Foundation may publish revised and/or new versions
-of the General Public License from time to time.  Such new versions will
-be similar in spirit to the present version, but may differ in detail to
-address new problems or concerns.
-
-Each version is given a distinguishing version number.  If the Program
-specifies a version number of this License which applies to it and "any
-later version", you have the option of following the terms and conditions
-either of that version or of any later version published by the Free
-Software Foundation.  If the Program does not specify a version number of
-this License, you may choose any version ever published by the Free Software
-Foundation.
-
-  10. If you wish to incorporate parts of the Program into other free
-programs whose distribution conditions are different, write to the author
-to ask for permission.  For software which is copyrighted by the Free
-Software Foundation, write to the Free Software Foundation; we sometimes
-make exceptions for this.  Our decision will be guided by the two goals
-of preserving the free status of all derivatives of our free software and
-of promoting the sharing and reuse of software generally.
-
-			    NO WARRANTY
-
-  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
-FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
-OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
-PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
-OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
-TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
-PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
-REPAIR OR CORRECTION.
-
-  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
-WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
-REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
-INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
-OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
-TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
-YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
-PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
-POSSIBILITY OF SUCH DAMAGES.
-
-		     END OF TERMS AND CONDITIONS
-
-
-	    How to Apply These Terms to Your New Programs
-
-  If you develop a new program, and you want it to be of the greatest
-possible use to the public, the best way to achieve this is to make it
-free software which everyone can redistribute and change under these terms.
-
-  To do so, attach the following notices to the program.  It is safest
-to attach them to the start of each source file to most effectively
-convey the exclusion of warranty; and each file should have at least
-the "copyright" line and a pointer to where the full notice is found.
-
-    <one line to give the program's name and a brief idea of what it does.>
-    Copyright (C) <year>  <name of author>
-
-    This program is free software; you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation; either version 2 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program; if not, write to the Free Software
-    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-
-
-Also add information on how to contact you by electronic and paper mail.
-
-If the program is interactive, make it output a short notice like this
-when it starts in an interactive mode:
-
-    Gnomovision version 69, Copyright (C) year name of author
-    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
-    This is free software, and you are welcome to redistribute it
-    under certain conditions; type `show c' for details.
-
-The hypothetical commands `show w' and `show c' should show the appropriate
-parts of the General Public License.  Of course, the commands you use may
-be called something other than `show w' and `show c'; they could even be
-mouse-clicks or menu items--whatever suits your program.
-
-You should also get your employer (if you work as a programmer) or your
-school, if any, to sign a "copyright disclaimer" for the program, if
-necessary.  Here is a sample; alter the names:
-
-  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
-  `Gnomovision' (which makes passes at compilers) written by James Hacker.
-
-  <signature of Ty Coon>, 1 April 1989
-  Ty Coon, President of Vice
-
-This General Public License does not permit incorporating your program into
-proprietary programs.  If your program is a subroutine library, you may
-consider it more useful to permit linking proprietary applications with the
-library.  If this is what you want to do, use the GNU Library General
-Public License instead of this License.
Index: unk/LICENSE.gmetric
===================================================================
--- /trunk/LICENSE.gmetric	(revision 980)
+++ 	(revision )
@@ -1,23 +1,0 @@
-# This is the MIT License
-# http://www.opensource.org/licenses/mit-license.php
-#
-# Copyright (c) 2007 Nick Galbreath
-#
-# Permission is hereby granted, free of charge, to any person obtaining a copy
-# of this software and associated documentation files (the "Software"), to deal
-# in the Software without restriction, including without limitation the rights
-# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-# copies of the Software, and to permit persons to whom the Software is
-# furnished to do so, subject to the following conditions:
-#
-# The above copyright notice and this permission notice shall be included in
-# all copies or substantial portions of the Software.
-#
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
-# THE SOFTWARE.
-#
Index: unk/Makefile
===================================================================
--- /trunk/Makefile	(revision 980)
+++ 	(revision )
@@ -1,171 +1,0 @@
-# Where to build
-#
-TMPDIR = /tmp
-
-# Clear this if you don't want to use ${FAKEROOT}
-#
-FAKEROOT = fakeroot
-
-# What is the location of the Ganglia web frontend
-# i.e.: where to we install Job Monarch's web frontend addon
-# 
-WEBDIR = /var/www/ganglia
-
-VERSION = 0.4SVN
-RELEASE = 1
-
-REQUIRED = ./jobarchived ./jobmond ./web
-
-deb:	deb-jobmond deb-jobarchived deb-webfrontend
-rpm:	rpm-jobmond rpm-jobarchived rpm-webfrontend
-
-all:	tarball deb rpm
-
-tarball:	tarball-gzip tarball-bzip
-
-tarball-gzip:	${REQUIRED}
-	mkdir -p ${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}
-	( rsync -a --exclude=.svn --exclude=*_test* --exclude=*-example.php \
-	. ${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION} )
-	( cd ${TMPDIR}/.monarch_buildroot; tar zcvf ganglia_jobmonarch-${VERSION}.tar.gz ./ganglia_jobmonarch-${VERSION} )
-	mv ${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}.tar.gz ..
-
-tarball-bzip:	${REQUIRED}
-	mkdir -p ${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}
-	( rsync -a --exclude=.svn --exclude=*_test* --exclude=*-example.php \
-	. ${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION} )
-	( cd ${TMPDIR}/.monarch_buildroot; tar jcvf ganglia_jobmonarch-${VERSION}.tar.bz2 ./ganglia_jobmonarch-${VERSION} )
-	mv ${TMPDIR}/.monarch_buildroot/ganglia_jobmonarch-${VERSION}.tar.bz2 ..
-
-deb-webfrontend:	${REQUIRED}
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend_${VERSION}-${RELEASE}/DEBIAN >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend_${VERSION}-${RELEASE}/${WEBDIR} >/dev/null
-	( cd web; rsync -a --exclude=.svn --exclude=*_test* --exclude=*-example.php \
-	. ${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend_${VERSION}-${RELEASE}/${WEBDIR} )
-	( cd pkg/deb/web/DEBIAN; \
-	rsync -a --exclude=.svn --exclude=*_test* --exclude=*-example.php \
-	. ${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend_${VERSION}-${RELEASE}/DEBIAN )
-	( cd ${TMPDIR}/.monarch_buildroot/; cat jobmonarch-webfrontend_${VERSION}-${RELEASE}/DEBIAN/control \
-	| sed "s/^Version:.*$//Version: ${VERSION}-${RELEASE}/g" >jobmonarch-webfrontend_${VERSION}-${RELEASE}/DEBIAN/control.new; \
-	mv jobmonarch-webfrontend_${VERSION}-${RELEASE}/DEBIAN/control.new \
-	jobmonarch-webfrontend_${VERSION}-${RELEASE}/DEBIAN/control )
-	( cd ${TMPDIR}/.monarch_buildroot/; ${FAKEROOT} dpkg -b jobmonarch-webfrontend_${VERSION}-${RELEASE} )
-	mv ${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend_${VERSION}-${RELEASE}.deb ..
-
-deb-jobarchived:	${REQUIRED}
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/DEBIAN >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/etc/init.d >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/etc/default >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/usr/sbin >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/usr/share/jobarchived >/dev/null
-	install -m 755 jobarchived/jobarchived.py ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/usr/sbin
-	( cd ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/usr/sbin; \
-	ln -s jobarchived.py jobarchived || true)
-	install jobarchived/jobarchived.conf ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/etc
-	install pkg/deb/init.d/jobarchived ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/etc/init.d
-	install pkg/deb/default/jobarchived ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/etc/default
-	install jobarchived/job_dbase.sql \
-	${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/usr/share/jobarchived
-	( cd pkg/deb/jobarchived/DEBIAN; \
-	rsync -a --exclude=.svn --exclude=*_test* --exclude=*-example.php \
-	. ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}/DEBIAN )
-	( cd ${TMPDIR}/.monarch_buildroot/; cat jobmonarch-jobarchived_${VERSION}-${RELEASE}/DEBIAN/control \
-	| sed "s/^Version:.*$//Version: ${VERSION}-${RELEASE}/g" >jobmonarch-jobarchived_${VERSION}-${RELEASE}/DEBIAN/control.new; \
-	mv jobmonarch-jobarchived_${VERSION}-${RELEASE}/DEBIAN/control.new \
-	jobmonarch-jobarchived_${VERSION}-${RELEASE}/DEBIAN/control )
-	( cd ${TMPDIR}/.monarch_buildroot/; ${FAKEROOT} dpkg -b jobmonarch-jobarchived_${VERSION}-${RELEASE} )
-	mv ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived_${VERSION}-${RELEASE}.deb ..
-
-deb-jobmond:	${REQUIRED}
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/DEBIAN >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/etc/init.d >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/etc/default >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/usr/sbin >/dev/null
-	install -m 755 jobmond/jobmond.py ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/usr/sbin
-	( cd ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/usr/sbin; \
-	ln -s jobmond.py jobmond || true)
-	install jobmond/jobmond.conf ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/etc
-	install pkg/deb/init.d/jobmond ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/etc/init.d
-	install pkg/deb/default/jobmond ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/etc/default
-	( cd pkg/deb/jobmond/DEBIAN; \
-	rsync -a --exclude=.svn --exclude=*_test* --exclude=*-example.php \
-	. ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}/DEBIAN )
-	( cd ${TMPDIR}/.monarch_buildroot/; cat jobmonarch-jobmond_${VERSION}-${RELEASE}/DEBIAN/control \
-	| sed "s/^Version:.*$//Version: ${VERSION}-${RELEASE}/g" >jobmonarch-jobmond_${VERSION}-${RELEASE}/DEBIAN/control.new; \
-	mv jobmonarch-jobmond_${VERSION}-${RELEASE}/DEBIAN/control.new jobmonarch-jobmond_${VERSION}-${RELEASE}/DEBIAN/control )
-	( cd ${TMPDIR}/.monarch_buildroot/; ${FAKEROOT} dpkg -b jobmonarch-jobmond_${VERSION}-${RELEASE} )
-	mv ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond_${VERSION}-${RELEASE}.deb ..
-
-rpm-jobmond:	${REQUIRED}
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}/etc/init.d >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}/etc/sysconfig >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}/usr/sbin >/dev/null
-	install -m 755 jobmond/jobmond.py ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}/usr/sbin
-	( cd ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}/usr/sbin; \
-	ln -s jobmond.py jobmond || true)
-	install jobmond/jobmond.conf ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}/etc
-	install pkg/rpm/init.d/jobmond ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}/etc/init.d
-	install pkg/rpm/sysconfig/jobmond ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}/etc/sysconfig
-	cp pkg/rpm/jobmonarch-jobmond.spec \
-	${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}/jobmonarch-jobmond-${VERSION}-${RELEASE}.spec
-	( cd ${TMPDIR}/.monarch_buildroot/; \
-	cat jobmonarch-jobmond-${VERSION}-${RELEASE}/jobmonarch-jobmond-${VERSION}-${RELEASE}.spec \
-	| sed "s/^Buildroot:.*$//Buildroot: \${TMPDIR}\/\.monarch_buildroot\/jobmonarch-jobmond-${VERSION}-${RELEASE}/g" \
-	| sed "s/^Version:.*$//Version: ${VERSION}/g" \
-	| sed "s/^Release:.*$//Release: ${RELEASE}/g" \
-	>jobmonarch-jobmond-${VERSION}-${RELEASE}/jobmonarch-jobmond-${VERSION}-${RELEASE}.spec.new; \
-	mv jobmonarch-jobmond-${VERSION}-${RELEASE}/jobmonarch-jobmond-${VERSION}-${RELEASE}.spec.new \
-	jobmonarch-jobmond-${VERSION}-${RELEASE}/jobmonarch-jobmond-${VERSION}-${RELEASE}.spec )
-	( cd ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}; \
-	${FAKEROOT} rpmbuild -bb jobmonarch-jobmond-${VERSION}-${RELEASE}.spec )
-	mv ${TMPDIR}/.monarch_buildroot/jobmonarch-jobmond-${VERSION}-${RELEASE}.rpm ..
-
-rpm-jobarchived:	${REQUIRED}
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/etc/init.d >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/etc/sysconfig >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/usr/sbin >/dev/null
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/usr/share/jobarchived >/dev/null
-	install -m 755 jobarchived/jobarchived.py ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/usr/sbin
-	( cd ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/usr/sbin; \
-	ln -s jobarchived.py jobarchived || true)
-	install jobarchived/jobarchived.conf ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/etc
-	install pkg/rpm/init.d/jobarchived ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/etc/init.d
-	install pkg/rpm/sysconfig/jobarchived ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/etc/sysconfig
-	install jobarchived/job_dbase.sql \
-	${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/usr/share/jobarchived
-	cp pkg/rpm/jobmonarch-jobarchived.spec \
-	${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}/jobmonarch-jobarchived-${VERSION}-${RELEASE}.spec
-	( cd ${TMPDIR}/.monarch_buildroot/; \
-	cat jobmonarch-jobarchived-${VERSION}-${RELEASE}/jobmonarch-jobarchived-${VERSION}-${RELEASE}.spec \
-	| sed "s/^Buildroot:.*$//Buildroot: \${TMPDIR}\/\.monarch_buildroot\/jobmonarch-jobarchived-${VERSION}-${RELEASE}/g" \
-	| sed "s/^Version:.*$//Version: ${VERSION}/g" \
-	| sed "s/^Release:.*$//Release: ${RELEASE}/g" \
-	>jobmonarch-jobarchived-${VERSION}-${RELEASE}/jobmonarch-jobarchived-${VERSION}-${RELEASE}.spec.new; \
-	mv jobmonarch-jobarchived-${VERSION}-${RELEASE}/jobmonarch-jobarchived-${VERSION}-${RELEASE}.spec.new \
-	jobmonarch-jobarchived-${VERSION}-${RELEASE}/jobmonarch-jobarchived-${VERSION}-${RELEASE}.spec )
-	( cd ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}; \
-	${FAKEROOT} rpmbuild -bb jobmonarch-jobarchived-${VERSION}-${RELEASE}.spec )
-	mv ${TMPDIR}/.monarch_buildroot/jobmonarch-jobarchived-${VERSION}-${RELEASE}.rpm ..
-
-rpm-webfrontend:	${REQUIRED}
-	mkdir -p ${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend-${VERSION}-${RELEASE}/${WEBDIR} >/dev/null
-	( cd web; \
-	rsync -a --exclude=.svn --exclude=*_test* --exclude=*-example.php \
-	. ${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend-${VERSION}-${RELEASE}/${WEBDIR} )
-	cp pkg/rpm/jobmonarch-webfrontend.spec \
-	${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend-${VERSION}-${RELEASE}/jobmonarch-webfrontend-${VERSION}-${RELEASE}.spec
-	( cd ${TMPDIR}/.monarch_buildroot/; \
-	cat jobmonarch-webfrontend-${VERSION}-${RELEASE}/jobmonarch-webfrontend-${VERSION}-${RELEASE}.spec \
-	| sed "s/^Buildroot:.*$//Buildroot: \${TMPDIR}\/\.monarch_buildroot\/jobmonarch-webfrontend-${VERSION}-${RELEASE}/g" \
-	| sed "s/^Version:.*$//Version: ${VERSION}/g" \
-	| sed "s/^Release:.*$//Release: ${RELEASE}/g" \
-	| sed "s+/var/www/ganglia+${WEBDIR}+g" \
-	>jobmonarch-webfrontend-${VERSION}-${RELEASE}/jobmonarch-webfrontend-${VERSION}-${RELEASE}.spec.new; \
-	mv jobmonarch-webfrontend-${VERSION}-${RELEASE}/jobmonarch-webfrontend-${VERSION}-${RELEASE}.spec.new \
-	jobmonarch-webfrontend-${VERSION}-${RELEASE}/jobmonarch-webfrontend-${VERSION}-${RELEASE}.spec )
-	( cd ${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend-${VERSION}-${RELEASE}; \
-	${FAKEROOT} rpmbuild -bb jobmonarch-webfrontend-${VERSION}-${RELEASE}.spec )
-	mv ${TMPDIR}/.monarch_buildroot/jobmonarch-webfrontend-${VERSION}-${RELEASE}.rpm ..
-
-clean:	${TMPDIR}/.monarch_buildroot
-	rm -rf ${TMPDIR}/.monarch_buildroot
Index: unk/README
===================================================================
--- /trunk/README	(revision 980)
+++ 	(revision )
@@ -1,30 +1,0 @@
-DESCRIPTION 
-===========
-
-        Job Monarch is a set of tools to monitor batch jobs on a website.
-
-	This is achieved as a addon to Ganglia.
-
-	Job Monarch consists of three parts:
-
-	*	jobmond)
-
-		* Reports job statistics through Ganglia's gmetric/gmond
-
-	*	jobarchived)
-
-		* Optional
-		* Allows the archiving of jobs statistics in a database and more detailed
-		  RRDs, with the purpose of providing users or admins with the ability to
-		  lookup a node's behaviour and environment at the time of a finished job.
-
-	*	web)
-
-		* Frontend that displays the statistics in a intuitive manner
-
-WEBSITE
-=======
-
-For more details, go to the project website:
-
-	* https://subtrac.sara.nl/oss/jobmonarch
Index: unk/TODO
===================================================================
--- /trunk/TODO	(revision 980)
+++ 	(revision )
@@ -1,17 +1,0 @@
-Functionality TODO (wish) list
-==============================
-
-	*	Improved config file and arguments usage for daemons
-		(also --help and possibly a man page)
-
-	*	Usage of a node's (Ganglia) location in the ClusterImage
-		construction (placement by x,y,z coordinates)
-  
-	*	More advanced and detailed graph's, etc
-
-	*	Usage of regexp's or wildcards at jobsearch
-		i.e. for job name/user/queue
-
-	*	Ability to search by certain node properties
-		instead of job properties. I.e.: a certain node
-		hostname and/or number of nodes/cpus
Index: unk/UPGRADE
===================================================================
--- /trunk/UPGRADE	(revision 980)
+++ 	(revision )
@@ -1,95 +1,0 @@
-Most Job Monarch releases (and their configs) should be backwards compatible with
-previous version. However, should there be any changes that has significant effect on the
-operation, tips and suggestions will be given here.
-
-0.2 -> 0.3
-============
-
-web)
-	* Now supports per-cluster specific settings
-
-	This enables you to override any setting of the webfrontend's conf.php on a per-cluster basis.
-	You can also specify a different sql database per cluster this way, of specify cluster image
-	hostname parsing (see below).
-
-	You can do this by including separate conf files as follows:
-
-	$CLUSTER_CONFS["My Cluster"]          = "/path/to/clusterconf/mycluster.php";
-
-	* Now supports parsing hostname location for building the ClusterImage as seen on the overview
-
-	This enables you to graphically display your cluster as it might be physically located in the racks
-	or computer floor, assuming that this is part of the hostname somehow.
-
-	If for example, your hosts are named: r<racknumber>n<nodenumber>
-
-	You can configure the webfrontend to parse racknumber as a X coordinate and nodenumber as Y coordinate.
-
-	Since your Grid/Cluster hostnames will probably be different per-cluster, you will probably only want to
-	configure this using a cluster-specific config file, as mentioned above.
-
-	Then you can create the following configuration options that will specify from which position in the hostname
-	the X and Y coordinate will be parsed:
-
-	<?php
-	//
-	$SORTBY_HOSTNAME = "r{x}n{y}.mydomain.tld";
-	$SORT_ORDER = "asc";
-
-	$SORT_XLABEL = "rack";
-	$SORT_YLABEL = "node";
-	?>
-
-jobmond)
-	* Now supports native Gmetric support, without the use of any external libraries or binaries.
-
-	This enables jobmond to transmit it's data much faster and efficient. To make use of this, you
-	have to set where jobmond should send it's metric's to. This is defined in jobmond.conf:
-
-	# Target of Gmetric's: where should we report to
-	# (usually: your udp_send_channel from gmond)
-	#
-	# Syntax: <ip>:<port>
-	#
-	GMETRIC_TARGET          : 239.2.11.71:8649
-
-	Should you choose not to configure this, jobmond will fail back to it's old binary style submission
-	of Gmetric's using Ganglia.
-
-	* Now supports the use of syslog for errors.
-
-	Should jobmond by freak accident crash, you can find in the syslog why this happened.
-
-	To configure this you have to enable it in your jobmond.conf:
-
-	 
-	# Enable logging to syslog? 
-	# 
-	USE_SYSLOG                      : 1 
-
-	# What level msg'es should be logged to syslog? 
-	# 
-	# usually: lvl 0 (errors) 
-	# 
-	SYSLOG_LEVEL                    : 0 
-
-	# Which facility to use in syslog 
-	# 
-	# Known: 
-	#       KERN, USER, MAIL, DAEMON, AUTH, LPR, 
-	#       NEWS, UUCP, CRON and LOCAL0 through LOCAL7 
-	# 
-	SYSLOG_FACILITY                 : DAEMON 
-
-jobarchived)
-
-	- Now supports the py-rrdtool library, in stead of rrd pipes.
-
-	This enables Jobarchived to write it's archive to disk MUCH MUCH faster and efficient than before.
-	It's HIGHLY RECOMMENDED to do this, since this will increase performance significantly!
-
-	To make use of this, simply install the 'py-rrdtool' Python module as mentioned in the README.
-	Jobarchived will automatically detect that py-rrdtool is available and make use of it.
-
-	Should you choose not to install it, Jobarchived fails back to it's old rrd pipe based writing of data.
-
Index: /trunk/daemon/rrd_copy.py
===================================================================
--- /trunk/daemon/rrd_copy.py	(revision 1)
+++ /trunk/daemon/rrd_copy.py	(revision 1)
@@ -0,0 +1,46 @@
+#!/usr/bin/env python
+
+import os
+import time
+
+# Location of rrdtool
+RRDTOOL_BIN = '/usr/bin/rrdtool'
+
+# Location of Ganglia's rrd's
+GANGLIA_RRD_DIR = '/var/lib/ganglia/rrds'
+
+# Location where you want our own rrd's stored
+MYDATA_DIR = '/data/myrrds'
+
+for root, dirs, files in os.walk( GANGLIA_RRD_DIR, topdown=False ):
+
+	for name in files:
+		if name.find('.rrd') != -1 and root.find('__SummaryInfo__') == -1:
+
+			ganglia_rrd = os.path.join( root, name )
+			rel_dir = ganglia_rrd[len(GANGLIA_RRD_DIR):]
+			mydata_rrd = MYDATA_DIR + rel_dir
+
+			if not os.path.isdir( MYDATA_DIR + os.path.dirname(rel_dir) ):
+				#print 'mkdir ' + MYDATA_DIR + os.path.dirname(rel_dir)
+				os.makedirs( MYDATA_DIR + os.path.dirname(rel_dir) )
+
+			#if os.path.exists( '/tmp/ramdisk/myblatemp.xml' ):
+			#	os.remove( '/tmp/ramdisk/myblatemp.xml' )
+
+			#xml = open( '/tmp/ramdisk/myblatemp.xml', 'w' )
+	
+			#print RRDTOOL_BIN + ' dump "' + ganglia_rrd + '" | head -271'	
+			#rrd_dump = os.popen( RRDTOOL_BIN + ' dump "' + ganglia_rrd + '" | head -271', 'r')
+
+			#for regel in rrd_dump.readlines():
+			#	xml.write( regel )
+
+			#rrd_dump.close()
+
+			#xml.write( '</rrd>' )
+
+			#xml.close()
+
+			#print 'cp "' + ganglia_rrd + '" "' + mydata_rrd + '"'
+			os.system( 'cp "' + ganglia_rrd + '" "' + mydata_rrd + '"' )
Index: /trunk/daemon/rrd_gather.py
===================================================================
--- /trunk/daemon/rrd_gather.py	(revision 1)
+++ /trunk/daemon/rrd_gather.py	(revision 1)
@@ -0,0 +1,47 @@
+#!/usr/bin/env python
+
+import os
+import time
+
+# Location of rrdtool
+RRDTOOL_BIN = '/usr/bin/rrdtool'
+
+# Location of Ganglia's rrd's
+GANGLIA_RRD_DIR = '/var/lib/ganglia/rrds'
+
+# Location where you want our own rrd's stored
+#MYDATA_DIR = '/data/myrrds'
+MYDATA_DIR = '/tmp/ramdisk/myrrds'
+
+for root, dirs, files in os.walk( GANGLIA_RRD_DIR, topdown=False ):
+
+	for name in files:
+		if name.find('.rrd') != -1 and name.find('__SummaryInfo__') == -1:
+
+			ganglia_rrd = os.path.join( root, name )
+			rel_dir = ganglia_rrd[len(GANGLIA_RRD_DIR):]
+			mydata_rrd = MYDATA_DIR + rel_dir
+
+			if not os.path.isdir( MYDATA_DIR + os.path.dirname(rel_dir) ):
+				#print 'mkdir ' + MYDATA_DIR + os.path.dirname(rel_dir)
+				os.makedirs( MYDATA_DIR + os.path.dirname(rel_dir) )
+
+			if os.path.exists( '/tmp/ramdisk/myblatemp.xml' ):
+				os.remove( '/tmp/ramdisk/myblatemp.xml' )
+
+			xml = open( '/tmp/ramdisk/myblatemp.xml', 'w' )
+	
+			#print RRDTOOL_BIN + ' dump "' + ganglia_rrd + '" | head -271'	
+			rrd_dump = os.popen( RRDTOOL_BIN + ' dump "' + ganglia_rrd + '" | head -271', 'r')
+
+			for regel in rrd_dump.readlines():
+				xml.write( regel )
+
+			rrd_dump.close()
+
+			xml.write( '</rrd>' )
+
+			xml.close()
+
+			#print RRDTOOL_BIN + ' restore /tmp/ramdisk/myblatemp.xml "' + mydata_rrd + '"'
+			os.system( RRDTOOL_BIN + ' restore /tmp/ramdisk/myblatemp.xml "' + mydata_rrd + '"' )
Index: /trunk/daemon/rrd_merge.py
===================================================================
--- /trunk/daemon/rrd_merge.py	(revision 1)
+++ /trunk/daemon/rrd_merge.py	(revision 1)
@@ -0,0 +1,43 @@
+#!/usr/bin/env python
+
+import rrdtool
+import os
+
+class Toga:
+
+	def RrdMerge(self, rrd1, rrd2, newrrd):
+
+		rrdtool.resize( rrd1, '0', 'GROW', '240' )
+		os.rename( './resize.rrd', newrrd )
+		
+		newvals = rrdtool.fetch( rrd2, 'AVERAGE', '-r', '15',  '-s', '10:55', '-e', '11:55' )
+		print newvals
+		times = newvals[0]
+
+		start_time = times[0]
+		end_time = times[1]
+		time_interval = times[2]
+
+		last = rrdtool.last( rrd1 )
+
+		dss = newvals[1]
+		ds = dss[0]
+
+		values = newvals[2]
+
+		loop_count = 0
+		for val in values:
+			timestamp = start_time + ( loop_count * time_interval )
+			update_string = '%s:%s' %(timestamp, val[0])
+			if timestamp > last and val[0]:
+				print 'rrdtool update %s -t sum %s' %(newrrd, update_string)
+				rrdtool.update( newrrd, '-t', 'sum', update_string )
+			loop_count = loop_count + 1
+
+def main():
+
+	t = Toga()
+
+	t.RrdMerge( '/tmp/test_cpu_num01.rrd', '/tmp/test_cpu_num02.rrd', './test_cpu_merged.rrd' )
+
+main()
Index: /trunk/svn-commit.tmp.save
===================================================================
--- /trunk/svn-commit.tmp.save	(revision 1)
+++ /trunk/svn-commit.tmp.save	(revision 1)
@@ -0,0 +1,3 @@
+--This line, and those below, will be ignored--
+
+A    .
